var layer_index;
function addUser(title, id) {
    $("#jswintitle").html(title);
    layer_index = layer.open({
        type: 1,
        title: false,
        closeBtn: 0,
        shift: false,
        content: $("#jsAddUser"),
    });
    $("#id").val(id);
    //如果是新增
    if (id == "0") {
        $("#ftjcsz").val("");
        //  $("#fidxsl").val("1");
        // $("#figlid").val("5");
    }
    else {//是修改，调用getuser()
        getuser(id);
    }
}
//AJAX读取信息
function getuser(id) {

    var1 = "beduajax.aspx?ACT=CAB7D5E07F4EE6F023BD65BEDC1CD08C&id=" + id;
    var1 = encodeURI((var1));
    $.ajax({
        type: "Post",
        url: var1,
        data: { data1: '13D17C93EDB', },
        cache: false,
        contentType: "application/x-www-form-urlencoded; charset=UTF-8",
        success: function (temptext) {
            var arr = new Array();

            arr = temptext.split(",");
            $("#fvdxmc").val(arr[0]);  //名称
            $("#fidxsl").val(arr[1]);  //房间数
            $("#fipbxm").val(arr[2]);  //屏蔽姓名
            $("#fixdsc").val(arr[3]);  //限定时长
            $("#fixszs").val(arr[4]);   //提交课程信息限定
            $("#ftjcsz").val(arr[5]);   //节次设置
        }
    });


}


//关闭弹出
function cansleAdd() {
    layer.close(layer_index);
    clearWin();
}
//清除窗体中内容
function clearWin() {
    $("#jsAddUser").find("input").each(function () {
        $(this).val("");
    });
}
////

function checkSubmit(index, bz) {
    var emailReg = /^[_A-Za-z0-9]+@([_A-Za-z0-9]+\.)+[A-Za-z0-9]{2,3}$/;
    var pwdReg = /[a-zA-Z0-9]$/;
    if ($("input[name='act']").value == "") {
        layer.msg("页面错误！", {
            icon: 2, btn: ['确定']
        }, function () {
        });
        return false;
    }
    else if ($("input[name='id']").value == "") {
        layer.msg("页面错误id！", {
            icon: 2, btn: ['确定']
        }, function () {
        });
        return false;
    }
    else if ($("input[name='fvdxmc']").get(index).value == "") {
        layer.msg("预约对象名称", {
            icon: 2, btn: ['确定']
        }, function () {
            $("input[name='fvdxmc']").get(index).select();
            $("input[name='fvdxmc']").get(index).focus();
        });
        return false;
    }
    else if ($("select[name='fidxsl']").get(index).value == "") {
        layer.msg("请选择房间数！", {
            icon: 2, btn: ['确定']
        }, function () {
            $("select[name='fidxsl']").get(index).focus();
        });
        return false;
    }
    else if ($("select[name='fipbxm']").get(index).value == "") {
        layer.msg("请选择显示预约人姓名", {
            icon: 2, btn: ['确定']
        }, function () {
            $("select[name='fipbxm']").get(index).focus();
        });
        return false;
    }
    else if ($("select[name='fixdsc']").get(index).value == "") {
        layer.msg("请选择限定预约时长", {
            icon: 2, btn: ['确定']
        }, function () {
            $("select[name='fixdsc']").get(index).focus();
        });
        return false;
    }
    else if ($("select[name='fixszs']").get(index).value == "") {
        layer.msg("请选择可预约时长", {
            icon: 2, btn: ['确定']
        }, function () {
            $("select[name='fixszs']").get(index).focus();
        });
        return false;
    }
    else if ($("textarea[name='ftjcsz']").get(index).value == "") {
        layer.msg("预约对象节次设置请用", {
            icon: 2, btn: ['确定']
        }, function () {
            $("textarea[name='ftjcsz']").get(index).select();
            $("textarea[name='ftjcsz']").get(index).focus();
        });
        return false;
    }
    else
        var1 = "beduajax.aspx?act=" + $("#act").val() + "&id=" + $("#id").val() + "&fvdxmc=" + $("input[name='fvdxmc']").get(index).value + "&fidxsl=" + $("select[name='fidxsl']").get(index).value + "&fipbxm=" + $("select[name='fipbxm']").get(index).value + "&fixdsc=" + $("select[name='fixdsc']").get(index).value + "&fixszs=" + $("select[name='fixszs']").get(index).value + "&ftjcsz=" + UVBMFGX($("textarea[name='ftjcsz']").get(index).value);

    XSENDAJAX(var1);
    return true;
}


function UVBMFGX(temp1) {//4-用MvbNFGXM 替换 |

    //temp1 = temp1.replace(/<|>/g, "MvbNFGXM");
    temp1 = temp1.replace(/\|/g, "MvbNFGXM");
    temp1 = temp1.replace(/\-/g, "MvbNHXGM");
    temp1 = temp1.replace(/\:/g, "MvbXMHGM");
    temp1 = temp1.replace(/\(/g, "MvbZKHGM");
    temp1 = temp1.replace(/\)/g, "MvbYKHGM");
    //temp1 = temp1.replace(/\n\r/g, "MvbNFGXM");
    //temp1 = temp1.replace(/\r/g, "MvbNFGXM");
    //temp1 = temp1.replace(/\n/g, "MvbNFGXM");
    return temp1;
}

//发送AJAX
function Zsend(var1) {

    temptext = var1;
    layer.msg(temptext, { icon: 1, btn: ['确定'] }, function () {
        if (temptext.indexOf("成功") > -1) {
            window.location.reload();
        }
        if (temptext.indexOf("相同预约对象") > -1) {
            $("input[name='fvdxmc']").get(index).select();
            $("input[name='fvdxmc']").get(index).focus();

        }
        return true;
    });
}

